com.holonplatform.core.query

## Interface StringQueryExpression

- All Superinterfaces:
    Expression, QueryExpression<String>, TypedExpression<String>
  All Known Subinterfaces:
    StringBeanProperty, StringFunction, StringFunction.Lower, StringFunction.Upper, StringProperty, StringProperty.StringPropertyBuilder

      public interface StringQueryExpression
      extends QueryExpression<String>

  A `QueryExpression` of `String` type.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default QueryFilter` | `contains(String value)` Build a contains query filter, checking if the property value contains given value, in a case-sentive fashion.
    `default QueryFilter` | `contains(String value, boolean ignoreCase)` Build a contains query filter, checking if the property value contains given value.
    `default QueryFilter` | `containsIgnoreCase(String value)` Build a contains query filter, checking if the property value contains given value, ignoring case.
    `default QueryFilter` | `endsWith(String value)` Build a ends with query filter, checking if the property value ends with given value, in a case-sentive fashion.
    `default QueryFilter` | `endsWith(String value, boolean ignoreCase)` Build a ends with query filter, checking if the property value ends with given value.
    `default QueryFilter` | `endsWithIgnoreCase(String value)` Build a ends with query filter, checking if the property value ends with given value, ignoring case.
    `default StringFunction.Lower` | `lower()` Creates a function to convert the String data into lowercase.
    `default QueryFilter` | `startsWith(String value)` Build a starts with query filter, checking if the property value starts with given value, in a case-sentive fashion.
    `default QueryFilter` | `startsWith(String value, boolean ignoreCase)` Build a starts with query filter, checking if the property value starts with given value.
    `default QueryFilter` | `startsWithIgnoreCase(String value)` Build a starts with query filter, checking if the property value starts with given value, ignoring case.
    `default StringFunction.Upper` | `upper()` Creates a function to convert the String data into uppercase.

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### contains

          default QueryFilter contains(String value,
                                       boolean ignoreCase)

      Build a contains query filter, checking if the property value contains given value.
      Parameters:
        `value` - Value which must be contained in expression value (not null)
        `ignoreCase` - Whether to ignore case
      Returns:
        The QueryFilter

    - #### startsWith

          default QueryFilter startsWith(String value,
                                         boolean ignoreCase)

      Build a starts with query filter, checking if the property value starts with given value.
      Parameters:
        `value` - Value with which the expression value must start with (not null)
        `ignoreCase` - Whether to ignore case
      Returns:
        The QueryFilter

    - #### endsWith

          default QueryFilter endsWith(String value,
                                       boolean ignoreCase)

      Build a ends with query filter, checking if the property value ends with given value.
      Parameters:
        `value` - Value with which the expression value must end with (not null)
        `ignoreCase` - Whether to ignore case
      Returns:
        The QueryFilter

    - #### contains

          default QueryFilter contains(String value)

      Build a contains query filter, checking if the property value contains given value, in a case-sentive fashion.
      Parameters:
        `value` - Value which must be contained in expression value
      Returns:
        The QueryFilter

    - #### containsIgnoreCase

          default QueryFilter containsIgnoreCase(String value)

      Build a contains query filter, checking if the property value contains given value, ignoring case.
      Parameters:
        `value` - Value which must be contained in expression value
      Returns:
        The QueryFilter

    - #### startsWith

          default QueryFilter startsWith(String value)

      Build a starts with query filter, checking if the property value starts with given value, in a case-sentive fashion.
      Parameters:
        `value` - Value with which the expression value must start with
      Returns:
        The QueryFilter

    - #### startsWithIgnoreCase

          default QueryFilter startsWithIgnoreCase(String value)

      Build a starts with query filter, checking if the property value starts with given value, ignoring case.
      Parameters:
        `value` - Value with which the expression value must start with
      Returns:
        The QueryFilter

    - #### endsWith

          default QueryFilter endsWith(String value)

      Build a ends with query filter, checking if the property value ends with given value, in a case-sentive fashion.
      Parameters:
        `value` - Value with which the expression value must end with
      Returns:
        The QueryFilter

    - #### endsWithIgnoreCase

          default QueryFilter endsWithIgnoreCase(String value)

      Build a ends with query filter, checking if the property value ends with given value, ignoring case.
      Parameters:
        `value` - Value with which the expression value must end with
      Returns:
        The QueryFilter

    - #### lower

          default StringFunction.Lower lower()

      Creates a function to convert the String data into lowercase.

      The returned function is a `QueryFunction.PropertyQueryFunction`, to allow inclusion in property sets and handling within a `PropertyBox`.

      Returns:
        A new `StringFunction.Lower` function

    - #### upper

          default StringFunction.Upper upper()

      Creates a function to convert the String data into uppercase.

      The returned function is a `QueryFunction.PropertyQueryFunction`, to allow inclusion in property sets and handling within a `PropertyBox`.

      Returns:
        A new `StringFunction.Lower` function

Copyright © 2019 The Holon Platform. All rights reserved.